module Homophone
  module Formatter
    class ConsoleFormatter
      def initialize(opts = {})
        @show_genre = !!opts[:show_genre]
      end

      def format(artist)
        if show_genre?
          "#{artist.name} (#{artist.genres.join(', ')})".sub(/ \(\)/, '')
        else
          artist.name
        end
      end

      def show_genre?
        @show_genre
      end
    end
  end
end
